{% load static %}
<!DOCTYPE html>
<html>
<head>
<title>Profile</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<link type="text/css" rel="stylesheet" href="{% static 'user/css/stylesheet.css'%}"/>
<script src="{% static 'user/js/profile.js' %}"></script>

</head>
<body>

<h2>Profile Page</h2>
<p>Click on the buttons inside the tabbed menu:</p>

<div class="tab">
  <button class="tablinks" onclick="openTab(event, 'UserData')">User Data</button>
  <button class="tablinks" onclick="openTab(event, 'Actions')">Actions</button>
  <button class="tablinks" onclick="openTab(event, 'Card')">Cards</button>
</div>

<div id="UserData" class="tabcontent">
  <h3>First Name: {{first_name}}</h3>
  <h3>Last Name: {{last_name}}</h3>
  <h3> Credit: {{credit}} Rials</h3>
  <h3> Phone Number: {{phone_number}}</h3>

</div>

<div id="Actions" class="tabcontent"  style="font-size: 20px">
  <h3>Transaction History: </h3>
  <form action="{% url 'actions:increase' %}" method="get" target="_blank">
  <button class="button" style="vertical-align:middle" type="submit" id="increase"><span>Increase </span></button>
  </form>
  <form action="{% url 'actions:decrease' %}" method="get" target="_blank">
  <button class="button" style="vertical-align:middle" type="submit" id="decrease"><span>Decrease </span></button>
  </form>
  <form action="{% url 'actions:transfer' %}" method="get" target="_blank">
  <button class="button" style="vertical-align:middle" type="submit" id="transfer"><span>Transfer </span></button>
  </form>
  {% for transaction in transaction %}
  <ul>
  <li>{{transaction.title|default:"No title"}}<br>Amount: {{transaction.amount}}
    <br> Transaction Type: {{transaction.get_transaction_type_display}}</li>
    </ul>
  {% endfor %}
</div>

<div id="Card" class="tabcontent">
    <h3>Credit Cards:</h3>
    <ul>
  <li>{{credit_card}}</li>
    </ul>
</div>
</body>
</html>